-- RTASpeedLimiter
--
-- Version 0.6
-- Autor Ralf08
-- 
-- Change log:
-- xx.xx.xxxx / Ralf08 / 
-- 

AttachableSpeedLimiter_Register = {};

if SpecializationUtil.specializations["AttachableSpeedLimiter"] == nil then
	SpecializationUtil.registerSpecialization("AttachableSpeedLimiter", "AttachableSpeedLimiter", g_currentModDirectory.."AttachableSpeedLimiter.lua")
	AttachableSpeedLimiter_Register.isLoaded = false;
end;


function AttachableSpeedLimiter_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				local allowInsertion = true;
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil and vs == SpecializationUtil.getSpecialization("attachable")then
						local v_name_string = v.name 
						local point_location = string.find(v_name_string, ".", nil, true)
						if point_location ~= nil then
							local _name = string.sub(v_name_string, 1, point_location-1);
							if rawget(SpecializationUtil.specializations, string.format("%s.AttachableSpeedLimiter", _name)) ~= nil then
								allowInsertion = false;								
							end;							
						end;
						if allowInsertion then	
							table.insert(v.specializations, SpecializationUtil.getSpecialization("AttachableSpeedLimiter"));
						end;
					end;
				end;
			end;	
		end;
	end;	
end;


function AttachableSpeedLimiter_Register:deleteMap()
  
end;

function AttachableSpeedLimiter_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function AttachableSpeedLimiter_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function AttachableSpeedLimiter_Register:update(dt)
	
end;

function AttachableSpeedLimiter_Register:draw()
end;

addModEventListener(AttachableSpeedLimiter_Register);